package com.unis.base.common.constant;

/**
 * 备案状态
 */
public enum FilingConstant {

    NO_FILING(0,"未备案",""),
    TO_BE_SUBMIT(5,"待提交",""),
    TO_BE_KQZR_APPROVAL(1,"待库区主任审批",""),
    TO_BE_KQZR_YSE_STAMP(6,"待库区主任通过盖章",""),
    TO_BE_KQZR_NO_STAMP(7,"待库区主任驳回盖章",""),
    TO_BE_QLB_APPROVAL(2,"待区粮办审批",""),
    TO_BE_QLB_YSE_STAMP(8,"待区粮办通过盖章",""),
    TO_BE_QLB_NO_STAMP(9,"待区粮办驳回盖章",""),
    REJECTED(3,"已驳回",""),
    FILING(4,"已备案","");

    private String name;
    private Integer value;
    private String desc;

    private FilingConstant(Integer value, String name, String desc){
        this.value=value;
        this.name=name;
        this.desc=desc;
    }

    public Integer getValue(){
        return this.value;
    }
    public void setValue(Integer value){
        this.value=value;
    }

    public String getName(){
        return this.name;
    }
    public void setName(String name){
        this.name=name;
    }

    public String getDesc(){
        return this.desc;
    }
    public void setDesc(String desc){
        this.desc=desc;
    }
}
